install_keyboard_hooks(3)

NAME
install_keyboard_hooks - Installs custom keyboard hooks. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void install_keyboard_hooks(int (*keypressed)(), int (*readkey)());

DESCRIPTION
You should only use this function if you *aren't* using the rest of the keyboard handler. It should be called in the place of install_keyboard(), and lets you provide callback routines to detect and read keypresses, which will be used by the main keypressed() and readkey() functions. This can be useful if you want to use Allegro's GUI code with a custom keyboard handler, as it provides a way for the GUI to get keyboard input from your own code, bypassing the normal Allegro input system.

SEE ALSO
install_keyboard(3), keypressed(3), readkey(3)